Add Ui Plugin

Add Ui Plugin
Adds plugin metadata for a new UI Extension

Creates a new UI extension and sets the provided plugin metadata for it.

Request
URI
POST
https://{api_host}/cloudapi/extensions/ui
COPY
Request Body
UiPluginMetadata of type(s) application/json
Optional

Show optional properties

{
    "pluginName": "string",
    "vendor": "string",
    "version": "string",
    "license": "string",
    "link": "string"
}
{
    "pluginName": "string",
    "vendor": "string",
    "description": "string",
    "version": "string",
    "license": "string",
    "link": "string",
    "tenant_scoped": false,
    "provider_scoped": false,
    "enabled": false
}
Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns UiPluginMetadataResponse of type(s) application/json;version=9.1.0
This response body class contains all of the following: UiPluginMetadata , UploadMetadataResponse
{
    "pluginName": "string",
    "vendor": "string",
    "description": "string",
    "version": "string",
    "license": "string",
    "link": "string",
    "tenant_scoped": false,
    "provider_scoped": false,
    "enabled": false,
    "id": "string",
    "plugin_status": "string",
    "resourcePath": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"license":"string","link":"string","pluginName":"string","vendor":"string","version":"string"}' https://{api_host}/cloudapi/extensions/ui